[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: FLAC 1.2.x may need rebuilds



On Fri, 2007-11-16 at 15:52 +0100, Michael Schwendt wrote:
> The Fedora 8 upgrade from FLAC 1.1.4 to 1.2.0 has broken FLAC file import
> in Audacity. A simple rebuild of Audacity fixes it.
> 
> All packagers with a dependency on libFLAC* are advised to check whether
> they also need to rebuild their packages.

I blame FLAC and their non-existent checks. They probably broke ABI
without upping the soname.

FYI, a number of people mentioned that FLAC was working fine for them
with the security errata installed, so I'd rather not force anyone to do
recompiles for the sake of it.

If specific packages need recompiling, I'm willing to do them, but I'd
rather not have to touch working packages.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]